# Returns

## v2-acceptReturn - Accept or refuse return

 - [PUT /v2/orders/returns/{return_id}/accept](https://developer.mirakl.com/content/product/connect/rest/connect/openapi3/returns/v2-acceptreturn.md): Description

Use this API to accept or refuse a return that is in the REQUEST_INITIATED status, from Mirakl Connect. The API also synchronizes the return status on the sales channel.


Call Frequency

Recommended usage: On each new return
Maximum usage: On each new return

## v2-acknowledgeReturnReception - Mark return as received

 - [PUT /v2/orders/returns/{return_id}/receive](https://developer.mirakl.com/content/product/connect/rest/connect/openapi3/returns/v2-acknowledgereturnreception.md): > ⚠️ Content-length header
>
> The Content-Length header must be present with value 0, even when there is no request body.

Description

Use this API to marks the return as received to officially confirm physical reception of the item from the customer. The API also synchronizes the return status on the sales channel.


Call Frequency

Recommended usage: On each new return
Maximum usage: On each new return

## v2-closeReturn - Mark return as closed

 - [PUT /v2/orders/returns/{return_id}/close](https://developer.mirakl.com/content/product/connect/rest/connect/openapi3/returns/v2-closereturn.md): > ⚠️ Content-length header
>
> The Content-Length header must be present with value 0, even when there is no request body.

Description

Use this API to marks the return as closed after all necessary steps required by the marketplace or seller’s process are completed (e.g., refund, compliance check, restocking). The API also synchronizes the return status on the sales channel.


Call Frequency

Recommended usage: On each new return
Maximum usage: On each new return

## v2-listReturns - List Mirakl Connect returns

 - [GET /v2/orders/returns](https://developer.mirakl.com/content/product/connect/rest/connect/openapi3/returns/v2-listreturns.md): Description

Use this API to synchronize Mirakl Connect returns with your system. We recommend integrating this API in asynchronous mode. You can retrieve all returns updated since the last call, and update your referential accordingly. To do so, schedule a task that calls this API using the updated_from parameter valued with the last execution time of the task.


Call Frequency

Recommended usage: Asynchronous: every 5 minutes
Maximum usage: Asynchronous: once per minute
Pagination

This resource supports seek pagination (see documentation)

Sort fields

sort field can have the following values:updated_at (Default) - Sort by date time of last return modification in Mirakl Connect (desc by default)

## v2-updateReturnTrackingInformation - Update return tracking information

 - [PUT /v2/orders/returns/{return_id}/trackings](https://developer.mirakl.com/content/product/connect/rest/connect/openapi3/returns/v2-updatereturntrackinginformation.md): Description

Use this API to update the tracking information of a return from Mirakl Connect. The API also updates the return tracking information on the sales channel.


Call Frequency

Recommended usage: On each new return
Maximum usage: On each new return

